### Method

# Fwupd Client connect

#### Declaration [src]

    gboolean
    fwupd_client_connect (
      FwupdClient* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets up the client ready for use. Most other methods call this for you, and do you only need to call this if you are just watching the client.

Available since: | 0.7.1
This method is not directly available to language bindings.

#### Parameters

`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.